#!/usr/bin/env node
import { createRequire as createRequire_BATI_CLI } from 'module';
const require = createRequire_BATI_CLI(import.meta.url);


// ../core/dist/chunk-C2T5VISX.js
import { createRequire as BATI_core_createRequire } from "module";
import { fileURLToPath as BATI_fileURLToPath } from "url";
import { dirname as BATI_dirname } from "path";
var require2 = BATI_core_createRequire(import.meta.url);
var __filename = BATI_fileURLToPath(import.meta.url);
var __dirname = BATI_dirname(__filename);
var h = Object.create;
var e = Object.defineProperty;
var i = Object.getOwnPropertyDescriptor;
var j = Object.getOwnPropertyNames;
var k = Object.getPrototypeOf;
var l = Object.prototype.hasOwnProperty;
var m = ((a) => typeof require2 < "u" ? require2 : typeof Proxy < "u" ? new Proxy(a, { get: (b, c) => (typeof require2 < "u" ? require2 : b)[c] }) : a)(function(a) {
  if (typeof require2 < "u") return require2.apply(this, arguments);
  throw Error('Dynamic require of "' + a + '" is not supported');
});
var n = (a, b) => () => (a && (b = a(a = 0)), b);
var o = (a, b) => () => (b || a((b = { exports: {} }).exports, b), b.exports);
var p = (a, b) => {
  for (var c in b) e(a, c, { get: b[c], enumerable: true });
};
var g = (a, b, c, f) => {
  if (b && typeof b == "object" || typeof b == "function") for (let d of j(b)) !l.call(a, d) && d !== c && e(a, d, { get: () => b[d], enumerable: !(f = i(b, d)) || f.enumerable });
  return a;
};
var q = (a, b, c) => (c = a != null ? h(k(a)) : {}, g(b || !a || !a.__esModule ? e(c, "default", { value: a, enumerable: true }) : c, a));
var r = (a) => g(e({}, "__esModule", { value: true }), a);

export {
  m,
  n,
  o,
  p,
  q,
  r
};
